// Copyright 2024 Matthew Rich <matthewrich.conf@gmail.com>. All rights reserved.

package transport

import (
	"github.com/stretchr/testify/assert"
	"testing"
_	"fmt"
_	"os"
	"net/url"
_	"path/filepath"
	"context"
)

func TestNewTransportHTTPReader(t *testing.T) {
	u, urlErr := url.Parse("https://localhost/resource")
	assert.Nil(t, urlErr)
	h, err := NewHTTP(u, context.Background())
	assert.Nil(t, err)
	assert.NotNil(t, h)
}
